mybatis:
  config-location: classpath:mybatis-config.xml
  # type-aliases扫描路径
  type-aliases-package: tk.mybatis.springboot.model
  # mapper xml实现扫描路径
  mapper-locations: classpath:com/qxgmat/data/dao/**/*.xml,classpath:com/qxgmat/data/relation/**/*.xml
  property:
    order: BEFORE

mapper:
  mappers: tk.mybatis.mapper.common.Mapper
  not-empty: false
  identity: MYSQL

#pagehelper:
#  helperDialect: mysql
#  reasonable: true
#  supportMethodsArguments: true
#  params: count=countSql

spring:
  devtools:
    restart:
      enabled: false

  flyway:
    enabled: true
    locations: classpath:db/migration
    baseline-on-migrate: true